import { OnInit, ChangeDetectorRef } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { NgxSpinnerService } from 'ngx-spinner';
import { FormsService, InteractionService } from 'interfaceft-icb-lib-services/projects/lib-services/src/public-api';
export declare class AddAffordabilityComponent implements OnInit {
    dialogRef: MatDialogRef<AddAffordabilityComponent>;
    data: any;
    private cdr;
    private formBuilder;
    private formService;
    private dialog;
    private spinner;
    private interactionService;
    formAttributes: any;
    formEndpoint: string;
    dictionary: any;
    formButton: any;
    Form: FormGroup;
    filename: string;
    constructor(dialogRef: MatDialogRef<AddAffordabilityComponent>, data: any, cdr: ChangeDetectorRef, formBuilder: FormBuilder, formService: FormsService, dialog: MatDialog, spinner: NgxSpinnerService, interactionService: InteractionService);
    ngOnInit(): void;
    getButton(): void;
    initializeFormBuilder(): void;
    submit(): void;
    uploadFile(event: any, propertyname: any): void;
    confirmSubmission(): void;
    initializeSubmission(): void;
    getEmployerId(): void;
}
