import { FormGroup, FormBuilder } from '@angular/forms';
import { OnInit, ChangeDetectorRef } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { NgxSpinnerService } from 'ngx-spinner';
import { MessagingService } from 'interfaceft-icb-lib-services/projects/lib-services/src/public-api';
export declare class OtpValidationDialogComponent implements OnInit {
    dialogRef: MatDialogRef<OtpValidationDialogComponent>;
    private messagingService;
    data: any;
    private formBuilder;
    private spinner;
    private cdr;
    phonenumber: any;
    Form: FormGroup;
    hash: string;
    loadingMessage: string;
    customerDetails: any;
    constructor(dialogRef: MatDialogRef<OtpValidationDialogComponent>, messagingService: MessagingService, data: any, formBuilder: FormBuilder, spinner: NgxSpinnerService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    confirm(): void;
    validateOTP(): void;
    close(): void;
    alertWithError(title: any, message: any): void;
    resend_otp(): void;
}
